NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_base64encode(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_base64encode - Binary-to-text encoding using "base64" encoding

## Table Of Contents

## Synopsis

- ns_base64encode string

## Description

This command performs a binary-to-text encoding on string. The encoded string will be approximately 33% longer than the original.

ns_base64encode string

## EXAMPLES

    oss2:nscp 7> ns_base64encode test
    dGVzdA==
    oss2:nscp 6> ns_base64decode dGVzdA==
    test

## See Also

ns_base64decode, ns_uudecode, ns_uuencode

## Keywords

encoding